<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Content-Script-Type" content="text/javascript" />
		<meta http-equiv="Content-Style-Type" content="text/css" />
		<title>webpad2.0</title>
		<meta name="revisit_after" content="7 days" />
		<meta name="robots" content="ALL" />
		<meta http-equiv="pragma" content="no-cache" />
		<meta name="viewport" content="initial-scale=1.0; maximum-scale=1.0; user-scalable=0;" />
		<meta name="apple-touch-fullscreen" content="YES" />
		<meta name="apple-mobile-web-app-capable" content="YES">
		<meta name="apple-mobile-web-app-status-bar-style" content="black">
		<link rel="apple-touch-icon" href="images/logo-touch-icon.png" />
		<link rev="MADE" href="mailto:info@synck.com" />
		<link rel="index" href="index.html" />
		<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
		<link rel="stylesheet" href="commons/include.css" type="text/css" media="screen" />
		<link rel="stylesheet" href="commons/printable.css" type="text/css" media="print" />
		<!--<link rel="stylesheet" href="commons/web-dock.css" type="text/css" />-->
		<script type="text/javascript" src="commons/jquery.js"></script>
		<!--<script type="text/javascript" src="commons/web-dock.js" charset="UTF-8"></script>-->
		<script type="text/javascript" src="commons/include.js"></script>
		<script type="text/javascript" src="commons/navigator.js"></script>
		<meta name="Keywords" content="webpad2.0" />
		<meta name="Description" content="webpad2.0" />
	</head>
	<body>
		<div id="wrapper">
			<div id="header">
				<a href="?logout"><img src="images/ui_01.gif" id="logout" class="nv_over" width="50" height="16" alt="logout" /></a>
				<div id="signal" class="signal_red"></div>
				<h1><img src="images/logo.gif" id="logo" alt="webpad" title="webpad" /></h1>
				<form id="search_form" onsubmit="return webpad_search();">
					<input type="text" name="search" id="search" onfocus="search_focus(this)" onblur="search_blur(this)" />
				</form>
				<ul>
					<li><img src="images/button_01.gif" id="ui_new" class="nv_over" width="60" height="22" title="NEW [ ALT + N ]" onclick="webpad_new()" /></li>
					<li><img src="images/button_02.gif" id="ui_save" class="nv_over" width="60" height="22" title="SAVE [ ALT + S ]" onclick="webpad_save()" /></li>
					<li><img src="images/button_03.gif" id="ui_delete" class="nv_over" width="60" height="22" title="DELETE [ ALT + D ]" onclick="webpad_delete();" /></li>
					<li><img src="images/button_04.gif" id="ui_download" class="nv_over" width="60" height="22" title="DOWNLOAD [ ALT + SHIFT + D ]" onclick="webpad_download()" /></li>
					<li><img src="images/button_05.gif" id="ui_sendmail" class="nv_over" width="60" height="22" title="SENDMAIL [ ALT + M ]" onclick="webpad_sendmail();" /></li>
					<li><img src="images/button_06.gif" id="ui_printable" class="nv_over" width="60" height="22" title="PRINT [ ALT + P ]" onclick="webpad_print(this);" /></li>
					<!--<li><a class="webdock_click" rel="file_result">over only</a></li>-->
				</ul>
			</div>
			<div id="container">
				<div id="sidebar">
					<ul id="webpad_list">
						
					</ul>
				</div>
				<div id="contents_wrapper">
					<div id="contents_main">
						<textarea id="textarea_main" onscroll="scroll_textarea(this)" onfocus="textarea_focus = true;" onblur="textarea_focus = false;"></textarea>
						<textarea id="textarea_main_wrap" wrap="off" onscroll="scroll_textarea(this)" onfocus="textarea_focus = true;" onblur="textarea_focus = false;"></textarea>
						<div id="live_preview_wrapper"><div id="live_preview_inner"></div></div>
					</div>
					<div id="contents_foot">
						<div id="footer">
							<ul>
								<li>CREATE <span id="cdate">-</span></li>
								<li>UPDATE <span id="udate">-</span></li>
								<li>CHAR COUNTS <span id="char_count">-</span></li>
								<li>
									<div id="rate">
										<div class="rate_star" id="rate1" onclick="rateing(1)" onmouseover="rate_over(1)" onmouseout="rate_out()"></div>
										<div class="rate_star" id="rate2" onclick="rateing(2)" onmouseover="rate_over(2)" onmouseout="rate_out()"></div>
										<div class="rate_star" id="rate3" onclick="rateing(3)" onmouseover="rate_over(3)" onmouseout="rate_out()"></div>
										<div class="rate_star" id="rate4" onclick="rateing(4)" onmouseover="rate_over(4)" onmouseout="rate_out()"></div>
										<div class="rate_star" id="rate5" onclick="rateing(5)" onmouseover="rate_over(5)" onmouseout="rate_out()"></div>
									</div>
								</li>
								__%viewer%__
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div id="loading_screen">
			<img src="images/loading.gif" id="loading_proccess_image" width="40" height="40" />
		</div>
		<div id="alert_wrapper">
			<div id="alert_close" onclick="alert_cansel();">CLOSE</div>
			<p id="alert_message"></p>
			<img src="images/ok_01.gif" id="alert_ok" alt="ok" title="ok" class="nv_over" onclick="alert_submit()" />
		</div>
		<div id="alert_window"></div>
		<div id="line_num_switch" onclick="line_num_switch();"></div>
		<div id="line_num_wrapper">
			<div id="line_num_scroller">
				<ul id="line_num"></ul>
			</div>
		</div>
		<div id="replace_wrapper">
			<form id="webpad_replace_form" onsubmit="return webpad_replace();">
				<div id="replace_close" onclick="webpad_replace_hide();">CLOSE</div>
				<input type="text" name="replace_before_text" id="replace_before_text" />
				<input type="text" name="replace_after_text" id="replace_after_text" />
				<img src="images/ok_01.gif" id="replace_ok" alt="ok" title="ok" class="nv_over" onclick="webpad_replace()" />
			</form>
		</div>
		<div id="replace_window"></div>
		<div id="upload_wrapper">
			<form id="webpad_upload_form" onsubmit="return false;" target="upload_iframe" action="?FileUploader" enctype="multipart/form-data" method="post">
				<div id="upload_close" onclick="webpad_upload_hide();">CLOSE</div>
				<p>Please select the up-loaded file.</p>
				<input type="file" name="webpad_upload_file" id="webpad_upload_file" onchange="resizecheck(this.value)" />
				<select name="resize_select" id="resize_select" onchange="resizeCHG(this)">
					<option value="">リサイズする場合は横幅を選択してください</option>
					<option value="edit">横幅を入力して指定する</option>
					%%resize_preset%%
				</select>
				<select name="image_position" id="image_position" onchange="positionCHG(this)">
					<option value="">クラス名を指定する場合は選択してください</option>
					<option value="edit">クラス名を入力して指定する</option>
					%%position_preset%%
				</select>
				<img src="images/ok_01.gif" id="upload_ok" alt="ok" title="ok" class="nv_over" onclick="webpad_upload()" />
				<img src="images/upload.gif" id="uploading" />
			</form>
		</div>
		<div id="upload_window"></div>
		<iframe id="upload_iframe" name="upload_iframe"></iframe>
		<select id="smart_directory" onchange="smart_directory(this)">
			<option value="">All Webpad</option>
			%%extracted%%
			<option value="add">add Smart Directory</option>
		</select>
		<div id="printable">
			<h1 id="print_title"></h1>
			<span id="print_date"></span>
			<p id="print_body"></p>
		</div>
		<div id="se"></div>
		<div id="file_result" class="webdock_documents">
			
		</div>
		<script type="text/javascript">
			get_window_size(true);
			loading();
		</script>
	</body>
</html>