#!/usr/bin/perl

use CGI;
use CGI::Carp qw(fatalsToBrowser);
use Encode;
use Crypt::RC4;
use Digest::MD5;
use MIME::Base64;
require './webpad.init/init.cgi';
require './commons/lib.cgi';
require './webpad.init/extension.cgi';

if($ENV{'QUERY_STRING'} ne 'FileUploader'){
	&_GET;
}

if($_GET{'view'} && ($viewer)){
	@pads = &_LOAD_CRYPT($file_path);
	@pads = grep(!/\[\[draft\]\]/,@pads);
	$html = join("\n",&_LOAD('viewer.tpl'));
	if($_GET{'view'} ne $null && $_GET{'view'} ne 'index'){
		&webpad_viewer_detail;
		if($viewer_mod){$current = "<li><a href=\"$_GET{'view'}.html\">${title}</a></li>";}
		else {$current = "<li><a href=\"?view=$_GET{'view'}\">${title}</a></li>";}
	}
	elsif($_GET{'view'} eq 'index' && ($viewer_indexes)){
		&webpad_viewer_index;
	}
	if($viewer_mod){$home = "<li><a href=\"index.html\">HOME</a></li>";}
	else {$home = "<li><a href=\"?view=index\">HOME</a></li>";}
	
	$html =~ s/__%title%__/$title/ig;
	$html =~ s/__%snippet%__/$snippet/ig;
	$html =~ s/__%body%__/$pad/ig;
	$html =~ s/__%home%__/$home/ig;
	$html =~ s/__%current%__/$current/ig;
	$html =~ s/__%site_title%__/$viewer_name/ig;
	print "Content-type: text/html;charset=UTF-8\n\n";
	print "${html}";
}
elsif(&login){
	$time = &setHash;
	($sec,$min,$hour,$day,$mon,$year) = localtime(substr($time, 0,10));
	$stmp = sprintf("%04d-%02d-%02d %02d:%02d:%02d",$year += 1900,$mon+1,$day,$hour,$min,$sec);
	@pads = &_LOAD_CRYPT($file_path);
	if($_GET{'download'}){
		&webpad_download;
	}
	elsif($ENV{'QUERY_STRING'} eq 'FileUploader'){
		&webpad_upload;
	}
	elsif($ENV{'QUERY_STRING'} eq 'XMLHttpRequest'){
		if($_GET{'mode'} eq "save"){
			&webpad_save;
		}
		elsif($_GET{'mode'} eq "dir"){
			&webpad_dir;
		}
		elsif($_GET{'mode'} eq "search"){
			&webpad_search;
		}
		elsif($_GET{'mode'} eq 'sendmail'){
			&webpad_sendmail;
		}
		elsif($_GET{'mode'} eq "new"){
			$query = "mode_%=%_new_%&%_id_%=%_${time}_%&%_cdate_%=%_${stmp}_%&%_body_%=%_${stmp}";
		}
		elsif($_GET{'mode'} eq "delete"){
			&webpad_delete;
		}
		elsif($_GET{'mode'} eq "open"){
			&webpad_open;
		}
		else {
			&webpad_onload;
		}
		my($cookie_path) = &cookie_path;
		print "Pragma: no-cache\n";
		print "Cache-Control: no-cache\n";
		print "Content-type: text/plain; charset=UTF-8\n";
		print "Set-Cookie: ver=2.0&session=${session}&application=webpad; path=${cookie_path}; expires=Mon, 30 Dec 2020 23:59:59 GMT\n\n";
		print $query;
	}
	elsif($redirect){
		my($cookie_path) = &cookie_path;
		print "Location: index.cgi\n";
		print "Set-Cookie: ver=2.0&session=${session}&application=webpad; path=${cookie_path}; expires=Mon, 30 Dec 2020 23:59:59 GMT\n\n";
	}
	else {
		$html = &_LOADTPL('main');
		my($cookie_path) = &cookie_path;
		if($viewer){
			if($viewer_mod){
				$viewer_tpl = '<li><a href="" id="viewer_link" target="_blank" rel="mod"></a></li>';
			}
			else {
				$viewer_tpl = '<li><a href="" id="viewer_link" target="_blank" rel="normal"></a></li>';
			}
			$viewer_tpl .= '<li><label for="draft"><input type="checkbox" id="draft" value="1" /> DRAFT</label></li>';
		}
		$html =~ s/__%viewer%__/$viewer_tpl/ig;
		if($skin eq $null){
			$skin = 'default';
		}
		$html =~ s/__%skin%__/$skin/ig;
		if($mflag){
			for($cnt=0;$cnt<@pads;$cnt++){
				@pad = split(/\t/,$pads[$cnt]);
				$id = $pad[0];
				$title = (split(/\\\\n/,$pad[1]))[0];
				$body = $pad[1];
				$body =~ s/\\\\n/<br \/>/ig;
				$pads .= "<li><a class=\"touch\" onclick=\"padOpen('${id}')\">${title}</a></li>";
				$panels .= "<div class=\"panel\" id=\"wp${id}\" title=\"${title}\"><p class=\"webpad_body\">${body}</p></div>";
			}
			$html =~ s/__%main%__/$pads/ig;
			$html =~ s/__%panels%__/$panels/ig;
		}
		## resize
		for($cnt=0;$cnt<@resize_image_size;$cnt++){
			$resize_preset .= "<option value=\"${resize_image_size[$cnt]}\">${resize_image_size[$cnt]}px</option>";
		}
		for($cnt=0;$cnt<@image_position_class;$cnt++){
			$position_preset .= "<option value=\"${image_position_class[$cnt]}\">${image_position_class[$cnt]}</option>";
		}
		#image_position_class
		
		$html =~ s/%%resize_preset%%/$resize_preset/ig;
		$html =~ s/%%position_preset%%/$position_preset/ig;
		
		## smart directory
		if($dir_path eq $null){
			$dir_path = "./webpad.init/dir.cgi";
		}
		@dir = &_LOAD($dir_path);
		for($cnt=0;$cnt<@dir;$cnt++){
			$dir .= "<option value=\"${dir[$cnt]}\">${dir[$cnt]}</option>";
		}
		$html =~ s/%%extracted%%/$dir/ig;
		
		print "Content-type: text/html;charset=UTF-8\n";
		print "Set-Cookie: ver=2.0&session=${session}&application=webpad; path=${cookie_path}; expires=Mon, 30 Dec 2020 23:59:59 GMT\n\n";
		print "${html}";
	}
}
else {
	$html = &_LOADTPL('login');
	$html =~ s/<!--error-->/$error/ig;
	if($password eq 'demo'){
		$demo = '<div id="demo">The password of DEMO is "demo".</div>';
		$html =~ s/<!--demo-->/$demo/ig;
	}
	else {
		if(-f $password_path && $password_path ne $null){
			
		}
		else {
			
		}
	}
	if($skin eq $null){
		$skin = 'default';
	}
	$html =~ s/__%skin%__/$skin/ig;
	my($cookie_path) = &cookie_path;
	print "Content-type: text/html;charset=UTF-8\n";
	print "Set-Cookie: ver=2.0&session=${session}&application=webpad; path=${cookie_path}; expires=Mon, 30 Dec 2020 23:59:59 GMT\n\n";
	print "${html}";
}
exit;