
$about = 'webpad2.0 library';

sub webpad_viewer_detail {
	@pads = grep(/^$_GET{'view'}\t/,@pads);
	($id,$body,$cdate,$udate) = split(/\t/,$pads[0]);
	@pad = split(/\\\\n/,$body);
	$title = shift @pad;
	$snippet = $pad[0];
	$pad = "<p>\n" . join("\n",@pad) . "\n</p>";
	$pad =~ s/\[file\:(.*?)\](.*?)\[\/file\]/<a href=\"documents\/$2\">$1<\/a>/ig;
	$pad =~ s/\[file\](.*?)\[\/file\]/<a href=\"documents\/$1\">$1<\/a>/ig;
	$pad =~ s/\[img\:(.*?)\](.*?)\[\/img\]/<img src=\"documents\/$2\" class=\"$1\" \/>/ig;
	$pad =~ s/\[img\](.*?)\[\/img\]/<img src=\"documents\/$1\" \/>/ig;
	$pad =~ s/\n(https?|ftp|gopher|telnet|whois|news)\:([\w|\:\!\#\$\%\=\&\-\^\`\\\|\@\~\[\{\]\}\;\+\*\,\.\?\/]+)\.(gif|jpg|png)\n/\n<img src=\"$1\:$2\.$3\" \/>\n/ig;
	$pad =~ s/\nhttp\:\/\/www\.youtube\.com\/watch\?v\=(.*?)\n/\n<object width=\"720\" height=\"430\"><param name=\"movie\" value=\"http:\/\/www.youtube.com\/v\/$1\&hl=ja\&fs=1\&rel=0\&hd=1\"><\/param><param name=\"allowFullScreen\" value=\"true\"><\/param><param name=\"allowscriptaccess\" value=\"always\"><\/param><embed src=\"http:\/\/www.youtube.com\/v\/$1\&hl=ja\&fs=1\&rel=0\&hd=1\" type=\"application\/x-shockwave-flash\" allowscriptaccess=\"always\" allowfullscreen=\"true\" width=\"720\" height=\"430\"><\/embed><\/object>\n/ig;
	$pad =~ s/\n(https?|ftp|gopher|telnet|whois|news)\:([\w|\:\!\#\$\%\=\&\-\^\`\\\|\@\~\[\{\]\}\;\+\*\,\.\?\/]+)\n/\n<a href=\"$1\:$2\" target=\"_blank\">$1\:$2<\/a>\n/ig;
	
	$pad =~ s/\n-\*(.*?)\n/\n<li class=\"index\"><a href=\"\#$1\">$1<\/a><\/li>\n/ig;
	$pad =~ s/\n-\*(.*?)\n/\n<li class=\"index\"><a href=\"\#$1\">$1<\/a><\/li>\n/ig;
	$pad =~ s/\n---(.*?)\n/\n<li class=\"node3\">$1<\/li>\n/ig;
	$pad =~ s/\n---(.*?)\n/\n<li class=\"node3\">$1<\/li>\n/ig;
	$pad =~ s/\n--(.*?)\n/\n<li class=\"node2\">$1<\/li>\n/ig;
	$pad =~ s/\n--(.*?)\n/\n<li class=\"node2\">$1<\/li>\n/ig;
	$pad =~ s/\n-(.*?)\n/\n<li class=\"node1\">$1<\/li>\n/ig;
	$pad =~ s/\n-(.*?)\n/\n<li class=\"node1\">$1<\/li>\n/ig;
	$pad =~ s/\n\*\*\*(.*?)\n/\n<\/p><h5><a name=\"$1\">$1<\/a><\/h5><p>\n/ig;
	$pad =~ s/\n\*\*(.*?)\n/\n<\/p><h4><a name=\"$1\">$1<\/a><\/h4><p>\n/ig;
	$pad =~ s/\n\*(.*?)\n/\n<\/p><h3><a name=\"$1\">$1<\/a><\/h3><p>\n/ig;
	$pad =~ s/\n\n/<\/p><p>/ig;
	$pad =~ s/\n//ig;
	$pad =~ s/<\/li><\/p>/<\/li><\/ul>/ig;
	$pad =~ s/<p><li/<ul><li/ig;
}

sub webpad_viewer_index {
	for($cnt=0;$cnt<@pads;$cnt++){
		($id,$body,$cdate,$udate) = split(/\t/,$pads[$cnt]);
		@pad = split(/\\\\n/,$body);
		$title = shift @pad;
		$snippet = $pad[0];
		if($viewer_mod){
			$href = "${id}\.html";
		}
		else {
			$href = "?view=${id}";
		}
		$pad .= "<li><a href=\"${href}\">${title}</a></li>\n";
	}
	$pad = "<ol class=\"index\">${pad}</ol>";
	$title = $viewer_indexes_title;
	$snippet = $viewer_indexes_snippet;
}
sub webpad_upload {
	if($file_uploader){
		$query = new CGI;
		$fH = $query->upload('webpad_upload_file');
		$mimetype = $query->uploadInfo($fH)->{'Content-Type'};
		@fileinfo = split(/\\/,$fH);
		$filename = $fileinfo[-1];
		$filetype = (split(/\./,$filename))[-1];
		$time = &setHash;
		$this_uri = $ENV{'SERVER_NAME'} . $ENV{'SCRIPT_NAME'};
		$this_uri =~ s/index\.cgi/documents\/${time}\.${filetype}/ig;
		open (OUT, ">./documents/${time}\.${filetype}") || die "Can't open Savefile!";
		binmode (OUT);
		while(read($fH, $buffer, 1024)){
			print OUT $buffer;
		}
		close (OUT);
		close ($fH) if ($CGI::OS ne 'UNIX');
		chmod 0777,"./documents/${time}\.${filetype}";
		$resize = $query->param("resize_select");
		if(($filetype =~ /jpg/si || $filetype =~ /gif/si || $filetype =~ /png/si)){
			## resize_select
			if($resize ne $null){
				$resize_tag = "document.write(unescape(\"%3Cscript src='resize.php?width=${resize}&path=${time}\.${filetype}' type='text/javascript'%3E%3C/script%3E\"));";
			}
			$imgtag = "img";
			$imgtage = "img";
			if($query->param("image_position") ne $null){
				$classname = $query->param("image_position");
				$imgtag .= ":${classname}";
			}
		}
		else {
			$imgtag = "file:${fH}";
			$imgtage = "file";
		}
	}
	else {
		$this_uri = 'file uploader function disabled';
	}
	my($cookie_path) = &cookie_path;
	print "Pragma: no-cache\n";
	print "Cache-Control: no-cache\n";
	print "Content-type: text/html; charset=UTF-8\n";
	print "Set-Cookie: ver=2.0&session=${session}&application=webpad; path=${cookie_path}; expires=Mon, 30 Dec 2020 23:59:59 GMT\n\n";
	print <<"	__html__";
	<script type="text/javascript">
		${resize_tag}
		window.onload = function(){
			window.top.webpad_upload_success("\[${imgtag}\]${time}\.${filetype}\[\/${imgtage}\]");
		}
	</script>
	__html__
}
sub webpad_download {
	@pads = grep(/^$_GET{'download'}\t/,@pads);
	($id,$body,$cdate,$udate) = split(/\t/,$pads[0]);
	@pad = split(/\\\\n/,$body);
	$filename = shift @pad;
	$pad = join("\n",@pad);
	$pad =~ s/    /\t/ig;
	print "Content-type: application/octet-stream; charset=utf-8; name=\"${filename}\.txt\"\n";
	print "Content-Disposition: attachment; filename=\"${filename}\.txt\"\n\n";
	print "\x{feff}"; #UTF-8 BOM MacOS X fix
	print $pad;
}
sub webpad_dir {
	if($_GET{'name'} ne $null){
		if($dir_path eq $null){
			$dir_path = "./webpad.init/dir.cgi";
		}
		@dir = &_LOAD($dir_path);
		push @dir,$_GET{'name'};
		&_SAVE($dir_path,join("\n",@dir));
		$query = "mode_%=%_dir";
	}
}
sub webpad_save {
	if($_GET{'id'} eq $null){
		$_GET{'id'} = $time;
	}
	if($_GET{'rate'} eq $null){
		$_GET{'rate'} = 0;
	}
	if($_GET{'draft'}){
		$_GET{'draft'} = '[[draft]]';
	}
	@write = ($_GET{'id'},$_GET{'body'},$_GET{'cdate'},$stmp,$_GET{'rate'},$_GET{'draft'},$_GET{'dir'});
	@pads = grep(!/^$_GET{'id'}\t/,@pads);
	unshift @pads,join("\t",@write);
	if($rate_sort){
		@pads = sort { (split(/\t/,$b))[4] <=> (split(/\t/,$a))[4]} @pads;
	}
	$query = "mode_%=%_save_%&%_id_%=%_$_GET{'id'}_%&%_udate_%=%_${stmp}_%&%_list_%=%_";
	for($cnt=0;$cnt<@pads;$cnt++){
		($id,$body,$cdate,$udate) = split(/\t/,$pads[$cnt]);
		@pad = split(/\\\\n/,$body);
		$pad[0] =~ s/</&lt;/g;
		$pad[0] =~ s/>/&gt;/g;
		if($_GET{'id'} eq ${id}){
			$query .= "<li><span id=\"${id}\" onclick=\"padOpen(this.id)\" style=\"color:#000000;background-color: #FFFFFF\">${pad[0]}</span></li>";
		}
		else {
			$query .= "<li><span id=\"${id}\" onclick=\"padOpen(this.id)\">${pad[0]}</span></li>";
		}
	}
	$pads = join("\n",@pads);
	&_SAVE_CRYPT($file_path,$pads);
}
sub webpad_search {
	@keys = split(/ /,$_GET{'q'});
	for($cnt=0;$cnt<@keys;$cnt++){
		@pads = grep(/$keys[$cnt]/ig,@pads);
	}
	$query = "mode_%=%_search_%&%_id_%=%_$_GET{'id'}_%&%_list_%=%_";
	for($cnt=0;$cnt<@pads;$cnt++){
		($id,$body,$cdate,$udate) = split(/\t/,$pads[$cnt]);
		@pad = split(/\\\\n/,$body);
		$pad[0] =~ s/</&lt;/g;
		$pad[0] =~ s/>/&gt;/g;
		if($_GET{'id'} eq ${id}){
			$query .= "<li><span id=\"${id}\" onclick=\"padOpen(this.id)\" style=\"color:#000000;background-color: #FFFFFF\">${pad[0]}</span></li>";
		}
		else {
			$query .= "<li><span id=\"${id}\" onclick=\"padOpen(this.id)\">${pad[0]}</span></li>";
		}
	}
}
sub webpad_sendmail {
	@pads = grep(/^$_GET{'id'}\t/,@pads);
	@body = split(/\\\\n/,$_GET{'body'});
	if($body[0] =~ m/^[--9^-~#-'!*+=?]+@([-a-z0-9]+\.)+[a-z]{2,6}$/i){
		$mailto = shift @body;
		$subject = shift @body;
		$body = join("\n",@body);
		&sendmail($mailto,$subject,$body);
	}
	else {
		$mailto = $sendmail_mailto;
		$subject = shift @body;
		$body = join("\n",@body);
		&sendmail($mailto,$subject,$body);
	}
	$query = "mode_%=%_sendmail_%&%_id_%=%_$_GET{'id'}_%&%_mailto_%=%_${mailto}";
}
sub webpad_delete {
	@pads = grep(!/^$_GET{'id'}\t/,@pads);
	$query = "mode_%=%_delete_%&%_list_%=%_";
	for($cnt=0;$cnt<@pads;$cnt++){
		($id,$body,$cdate,$udate) = split(/\t/,$pads[$cnt]);
		@pad = split(/\\\\n/,$body);
		$pad[0] =~ s/</&lt;/g;
		$pad[0] =~ s/>/&gt;/g;
		$query .= "<li><span id=\"${id}\" onclick=\"padOpen(this.id)\">${pad[0]}</span></li>";
	}
	$pads = join("\n",@pads);
	&_SAVE_CRYPT($file_path,$pads);
}
sub webpad_open {
	@pads = grep(/^$_GET{'id'}\t/,@pads);
	($id,$body,$cdate,$udate,$rate,$draft,$dir) = split(/\t/,$pads[0]);
	if($cdate eq $null){
		($sec,$min,$hour,$day,$mon,$year) = localtime(substr($id, 0,10));
		$cdate = sprintf("%04d-%02d-%02d %02d:%02d:%02d",$year += 1900,$mon+1,$day,$hour,$min,$sec);
	}
	if($rate eq $null){
		$rate = 0;
	}
	$query = "mode_%=%_open_%&%_body_%=%_${body}_%&%_cdate_%=%_${cdate}_%&%_udate_%=%_${udate}_%&%_rate_%=%_${rate}_%&%_id_%=%_${id}_%&%_draft_%=%_${draft}_%&%_dir_%=%_${dir}";
}
sub webpad_onload {
	$query = 'mode_%=%_list_%&%_list_%=%_';
	for($cnt=0;$cnt<@pads;$cnt++){
		($id,$body,$cdate,$udate) = split(/\t/,$pads[$cnt]);
		@pad = split(/\\\\n/,$body);
		$pad[0] =~ s/</&lt;/g;
		$pad[0] =~ s/>/&gt;/g;
		$query .= "<li><span id=\"${id}\" onclick=\"padOpen(this.id)\">${pad[0]}</span></li>";
	}
}
sub sendmail {
	my($mailto,$subject,$body) = @_;
	## subject
	Encode::from_to($subject,'utf-8',$sendmail_charset);
	$subject = "=?${sendmail_charset}?B?" . encode_base64($subject) . '?=';
	$subject =~ s/\n//ig;
	
	## from
	$fromname = "${sendmail_fromname}";
	Encode::from_to($fromname,'utf-8',$sendmail_charset);
	$fromname = "=?${sendmail_charset}?B?" . encode_base64($fromname) . '?=' . "<${sendmail_sender}>";
	$fromname =~ s/\n//ig;
	
	Encode::from_to($body,'utf-8',$sendmail_charset);
	if($sendmail_flag){
		open(MAIL,"| $sendmail -f $sendmail_sender -t");
			print MAIL "To: $mailto\n";
			print MAIL "Errors-To: $sendmail_sender\n";
			print MAIL "From: $fromname\n";
			print MAIL "Subject: $subject\n";
			print MAIL "MIME-Version:1.0\n";
			print MAIL "Content-type:text/plain; charset=${sendmail_charset}\n";
			print MAIL "Content-Transfer-Encoding:7bit\n";
			print MAIL "X-Mailer:SYNCK GRAPHICA MAILFORM\n\n";
			print MAIL "$body\n";
		close(MAIL);
	}
}

sub login {
	my($cookie) = $ENV{'HTTP_COOKIE'};
	my(@cookie) = split(/\&/,$cookie);
	my(@cookies) = ();
	$md5 = Digest::MD5->new;
	for(my($cnt)=0;$cnt<@cookie;$cnt++){
		my($name, $value) = split(/=/,$cookie[$cnt]);
		$_COOKIE{$name} = $value;
	}
	if($ENV{'QUERY_STRING'} eq "logout"){
		$session = "logout";
		return 0;
	}
	elsif($_COOKIE{'session'} eq $md5->add($password)->b64digest){
		$session = $_COOKIE{'session'};
		return 1;
	}
	elsif($_GET{'password'} eq $password){
		$session = $md5->add($password)->b64digest;
		$redirect = 1;
		return 1;
	}
	elsif($_GET{'password'} ne $password && $_GET{'password'} ne $null){
		$error = 'LOGIN ERROR : login password is wrong.';
		return 0;
	}
	else {
		$session = $_GET{'password'} . 'error';
		return 0;
	}
}

sub cookie_path {
	my(@cookie_path) = split(/\//,$ENV{'SCRIPT_NAME'});
	$cookie_path[-1] = "";
	return join('/',@cookie_path);
}

sub _SAVE_CRYPT {
	my($path,$str) = @_;
	if($passphrase ne $null){
		chmod 0777, "${path}\.crypt.cgi";
		flock(FH, LOCK_EX);
			open(FH,">${path}\.crypt.cgi");
				print FH &encrypt($str);
			close(FH);
		flock(FH, LOCK_NB);
		chmod 0600, "${path}\.crypt.cgi";
		if(-f $path){
			unlink $path;
		}
	}
	else {
		&_SAVE($path,$str);
	}
}

sub _SAVE {
	my($path,$str) = @_;
	chmod 0777, "${path}";
	flock(FH, LOCK_EX);
		open(FH,">${path}");
			print FH $str;
		close(FH);
	flock(FH, LOCK_NB);
	chmod 0600, "${path}";
}

sub _LOAD_CRYPT {
	my($path) = @_;
	my(@loader) = ();
	if(-f "${path}\.crypt.cgi" && $passphrase ne $null){
		flock(FH, LOCK_EX);
			open(FH,"${path}\.crypt.cgi");
				@loader = <FH>;
			close(FH);
		flock(FH, LOCK_NB);
		$loader = &decrypt(join("",@loader));
		return split(/\n/,$loader);
	}
	else {
		return &_LOAD($path);
	}
}

sub _LOAD {
	my($path) = @_;
	my(@loader) = ();
	flock(FH, LOCK_EX);
		open(FH,$path);
			@loader = <FH>;
		close(FH);
	flock(FH, LOCK_NB);
	$loader = join('',@loader);
	$loader =~ s/\r//ig;
	@loader = split(/\n/,$loader);
	return @loader;
}
sub encrypt {
	my ($plaintext) = @_;
	my $encrypted = RC4($passphrase, $plaintext);
	$encrypted =~ s/(.)/unpack('H2', $1)/eg;
	return $encrypted;
}

sub decrypt {
	my ($encrypted) = @_;
	$encrypted =~ s/([0-9A-Fa-f]{2})/pack('H2', $1)/eg;
	my $decrypted = RC4($passphrase, $encrypted);
	return $decrypted;
}
sub _LOADTPL {
	my($path) = @_;
	my(@loader) = ();
	$path = "./commons/${path}${mflag}.tpl";
	flock(FH, LOCK_EX);
		open(FH,$path);
			@loader = <FH>;
		close(FH);
	flock(FH, LOCK_NB);
	$loader = join('',@loader);
	return $loader;
}
sub _GET {
	if ($ENV{'REQUEST_METHOD'} eq "POST") {
		read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
	}
	else {
		$buffer = $ENV{'QUERY_STRING'};
	}
	if(split(/_\%\=\%_/,$buffer) > 1){
		@pairs = split(/_\%\&\%_/, $buffer);
		foreach $pair (@pairs) {
			($name, $value) = split(/_\%\=\%_/, $pair);
			$name =~ tr/+/ /;
			$name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
			$value =~ tr/+/ /;
			$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
			$value =~ s/\t/    /g;
			$value =~ s/\r//g;
			$value =~ s/\n/\\\\n/g;
			$_GET{$name} = $value;
		}
	}
	else {
		@pairs = split(/&/, $buffer);
		foreach $pair (@pairs) {
			($name, $value) = split(/=/, $pair);
			$name =~ tr/+/ /;
			$name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
			$value =~ tr/+/ /;
			$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
			$_GET{$name} = $value;
		}
	}
}
sub setHash {
	$digit = 10;
	$hash_char = "";
	for($cnt=0;$cnt<$digit;$cnt++){
		my($randno) = int(rand 9);
		$hash_char .= $randno;
	}
	$hash_char = time . $hash_char;
	return $hash_char;
}
